package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 通知配置对象 lab_noticeconfig
 *
 * @author zd
 * @date 2022-03-09
 */
@ApiModel("通知配置")
public class LabNoticeconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 预案语音播报内容 */
    @Excel(name = "预案语音播报内容")
    @ApiModelProperty(value = "预案语音播报内容")
    private String riskVoice;
    /** 预案电话通知内容 */
    @Excel(name = "预案电话通知内容")
    @ApiModelProperty(value = "预案电话通知内容")
    private String riskPhone;
    /** 预案短信提示 */
    @Excel(name = "预案短信提示")
    @ApiModelProperty(value = "预案短信提示")
    private String riskMessage;
    /** 预案广播通知 */
    @Excel(name = "预案广播通知")
    @ApiModelProperty(value = "预案广播通知")
    private String riskRadio;
    /** 疏散广播通知 */
    @Excel(name = "疏散广播通知")
    @ApiModelProperty(value = "疏散广播通知")
    private String exitRadio;
    /** 疏散语音播报 */
    @Excel(name = "疏散语音播报")
    @ApiModelProperty(value = "疏散语音播报")
    private String exitVoice;
    /** 疏散电话通知 */
    @Excel(name = "疏散电话通知")
    @ApiModelProperty(value = "疏散电话通知")
    private String exitPhone;
    /** 疏散短信提示 */
    @Excel(name = "疏散短信提示")
    @ApiModelProperty(value = "疏散短信提示")
    private String exitMessage;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRiskVoice(String riskVoice)
    {
        this.riskVoice = riskVoice;
    }

    public String getRiskVoice()
    {
        return riskVoice;
    }
    public void setRiskPhone(String riskPhone)
    {
        this.riskPhone = riskPhone;
    }

    public String getRiskPhone()
    {
        return riskPhone;
    }
    public void setRiskMessage(String riskMessage)
    {
        this.riskMessage = riskMessage;
    }

    public String getRiskMessage()
    {
        return riskMessage;
    }
    public void setExitRadio(String exitRadio)
    {
        this.exitRadio = exitRadio;
    }

    public String getExitRadio()
    {
        return exitRadio;
    }
    public void setExitVoice(String exitVoice)
    {
        this.exitVoice = exitVoice;
    }

    public String getExitVoice()
    {
        return exitVoice;
    }
    public void setExitPhone(String exitPhone)
    {
        this.exitPhone = exitPhone;
    }

    public String getExitPhone()
    {
        return exitPhone;
    }
    public void setExitMessage(String exitMessage)
    {
        this.exitMessage = exitMessage;
    }

    public String getExitMessage()
    {
        return exitMessage;
    }

    public String getRiskRadio() {
        return riskRadio;
    }

    public void setRiskRadio(String riskRadio) {
        this.riskRadio = riskRadio;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("riskVoice", getRiskVoice())
            .append("riskPhone", getRiskPhone())
            .append("riskMessage", getRiskMessage())
            .append("exitRadio", getExitRadio())
            .append("exitVoice", getExitVoice())
            .append("exitPhone", getExitPhone())
            .append("exitMessage", getExitMessage())
            .toString();
    }
}
